export type NestingArgs = {
    /**
     * @param {...any[]} args expected arguments at current level of depth
     * @returns {NestingArgs} Arguments up to the next level of depth
     */
    (...args: any[]): NestingArgs;
    /**
     * List of the expected call arguments for each level
     */
    args: any[][];
};
/**
 * Helper for fluent creation of expected nested arguments
 * @param {...any[]} args expected arguments for the top level call
 * @returns {NestingArgs} Arguments for the next level of depth
 */
export declare const nestingArgs: (...args: any[]) => NestingArgs;
