"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.nestingArgs = void 0;
const createNestingArgs = (args) => {
    const fn = (...next) => createNestingArgs([...args, next]);
    fn.args = args;
    return fn;
};
/**
 * Helper for fluent creation of expected nested arguments
 * @param {...any[]} args expected arguments for the top level call
 * @returns {NestingArgs} Arguments for the next level of depth
 */
const nestingArgs = (...args) => createNestingArgs([args]);
exports.nestingArgs = nestingArgs;
//# sourceMappingURL=args.js.map