"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.fnCurried = void 0;
const fnCurriedInternal = (length, mockImplementation, callPath = []) => {
    const root = jest.fn((...args) => {
        const baseArgs = callPath.flat();
        if (baseArgs.length + args.length >= length) {
            return mockImplementation(...baseArgs, ...args);
        }
        return fnCurriedInternal(length, mockImplementation, [...callPath, args]);
    });
    Object.defineProperties(root, {
        callPath: { get: () => callPath },
        uncurried: { get: () => mockImplementation },
    });
    return root;
};
function fnCurried(option) {
    if (typeof option === 'function') {
        const { length } = option;
        return fnCurriedInternal(length, jest.fn(option));
    }
    return fnCurriedInternal(option, jest.fn());
}
exports.fnCurried = fnCurried;
//# sourceMappingURL=curryMock.js.map